USBF(4)

NAME
usbf - introduction to Universal Serial Bus function support

SYNOPSIS
usbf* at pxaudc? # zaurus
cdcef* at usbf?

DESCRIPTION
OpenBSD provides machine-independent bus support and drivers for Universal Serial Bus (USB) functions, making it possible in principle for machines running OpenBSD to act as USB device to a USB host.

The OpenBSD usbf driver has three layers: the controller, the logical device, and the function layer. The controller attaches to a physical bus. The logical device attaches to the controller and the function attaches to the logical device.

Function drivers implement the characteristics of a particular USB device class that the USB host will see when the device is connected to the bus.

SUPPORTED FUNCTIONS
OpenBSD includes the following machine-independent USB function drivers, sorted by device type and driver name:

  Communication devices
cdcef(4)
    Communication Device Class Ethernet Emulation Model USB network adapter.

SEE ALSO
cdcef(4), intro(4), pxaudc(4)

HISTORY
The usbf driver first appeared in OpenBSD 4.1.

AUTHORS
-nosplit The usbf driver was written by Uwe Stuehler <uwe@openbsd.org>.